[youtubei.js](../../../README.md) / [Generator](../README.md) / PrimitiveInferenceType

# Interface: PrimitiveInferenceType

## Properties

### optional

> **optional**: `boolean`

#### Defined in

[src/parser/generator.ts:52](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L52)

***

### type

> **type**: `"primitive"`

#### Defined in

[src/parser/generator.ts:50](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L50)

***

### typeof

> **typeof**: (`"string"` \| `"number"` \| `"bigint"` \| `"boolean"` \| `"symbol"` \| `"undefined"` \| `"function"` \| `"unknown"` \| `"never"`)[]

#### Defined in

[src/parser/generator.ts:51](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/parser/generator.ts#L51)
